Bug 978283 - [RHOS-RHS] Volume snapshot errors out
[RHOS-RHS] Volume snapshot errors out
Status: CLOSED CURRENTRELEASE
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterfs (Show other bugs)
unspecified
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Bug Updates Notification Mailing List
Anush Shetty
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-26 05:23 EDT by Anush Shetty
Modified: 2014-03-27 09:21 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
virt rhos cinder integration
Last Closed: 2014-03-27 09:21:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anush Shetty 2013-06-26 05:23:58 EDT
Description of problem: Currently, creating snapshot of cinder volumes errors out.


Version-Release number of selected component (if applicable):

RHS: glusterfs-fuse-3.3.0.10rhs-1.el6rhs.x86_64
Cinder: openstack-cinder-2013.1.2-3.el6ost.noarch

How reproducible: Consistently


Steps to Reproduce:
1. Create a cinder volume
2. Create snapshot of the volume
3.

Actual results:

Snapshot should be successful 

Expected results:

Snapshot fails.

Additional info:
Comment 3 Gowrishankar Rajaiyan 2013-07-15 06:52:01 EDT
Anush, could you paste the error message ^^
Comment 4 Anush Shetty 2013-07-15 07:25:57 EDT
In /var/log/cinder/volume.log

2013-07-15 16:57:59     INFO [cinder.volume.manager] snapshot snapshot-3059b56f-3bd8-4c70-9139-6c1a58e3fcc8: creating
2013-07-15 16:57:59    DEBUG [cinder.volume.manager] snapshot snapshot-3059b56f-3bd8-4c70-9139-6c1a58e3fcc8: creating
2013-07-15 16:57:59    ERROR [cinder.openstack.common.rpc.amqp] Exception during message handling
Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/cinder/openstack/common/rpc/amqp.py", line 430, in _process_data
    rval = self.proxy.dispatch(ctxt, version, method, **args)
  File "/usr/lib/python2.6/site-packages/cinder/openstack/common/rpc/dispatcher.py", line 133, in dispatch
    return getattr(proxyobj, method)(ctxt, **kwargs)
  File "/usr/lib/python2.6/site-packages/cinder/volume/manager.py", line 474, in create_snapshot
    {'status': 'error'})
  File "/usr/lib64/python2.6/contextlib.py", line 23, in __exit__
    self.gen.next()
  File "/usr/lib/python2.6/site-packages/cinder/volume/manager.py", line 465, in create_snapshot
    model_update = self.driver.create_snapshot(snapshot_ref)
  File "/usr/lib/python2.6/site-packages/cinder/volume/driver.py", line 120, in create_snapshot
    raise NotImplementedError()
NotImplementedError
2013-07-15 16:57:59    DEBUG [qpid.messaging.io.raw] SENT[3b87170]: '\x0f\x01\x00\x19\x00\x01\x00\x00\x00\x00\x00\x00\x04\n\x01\x00\x07\x00\x011\x00\x00\x00\x00\x01\x0f\x00\x00\x1a\x00\x00\x00\x00\x00\x00\x00\x00\x02\n\x01\x00\x00\x08\x00\x00\x00\x00\x00\x00\x02\xf7'
Comment 5 Tushar Katarki 2013-09-26 14:11:54 EDT
Snapshot feature was added in OpenStack Havana (RHOS 4.0). So this bug should be re-verified for RHOS 4.0 with RHS.
Comment 6 shilpa 2014-03-26 03:01:17 EDT
Verified on RHOS4.0. Creation of volume snapshots via FUSE mount works.
Comment 7 Deepak C Shetty 2014-03-27 09:21:53 EDT
Closing this as it works on current release (see comments above)

Note You need to log in before you can comment on or make changes to this bug.